# Julia Class Reference

`#include <julia.h>`

Inheritance diagram for Julia:

List of all members.

## Public Member Functions

| Julia ()
virtual bool | set_param (const synfig::String &param, const synfig::ValueBase &value)
| Sets the parameter described by param to value.
virtual ValueBase | get_param (const synfig::String &param) const
| Get the value of the specified parameter.
virtual Color | get_color (synfig::Context context, const synfig::Point &pos) const
| Gets the color of the Canvas at pos.
virtual Vocab | get_param_vocab () const
| Gets the parameter vocabulary.

## Constructor & Destructor Documentation

Julia::Julia | ( |  | ) |

## Member Function Documentation

bool Julia::set_param | ( | const synfig::String & | param,
|  | const synfig::ValueBase & | value |
| ) |  |  | `[virtual]`

Sets the parameter described by param to value.

Parameters:

  | param | The name of the parameter to set
  | value | What the parameter is to be set to.

Returns:
  `true` on success, `false` upon rejection or failure. If it returns `false`, then the Layer is assumed to remain unchanged.

See also:
  get_param()

Todo:
  param should be of the type `const String &param`

Reimplemented from synfig::Layer.

References synfig::ValueBase::get(), IMPORT, and synfig::ValueBase::same_type_as().

ValueBase Julia::get_param | ( | const synfig::String & | param | ) | const`[virtual]`

Get the value of the specified parameter.

Returns:
  The requested parameter value, or (upon failure) a NIL ValueBase.

See also:
  set_param()

Todo:
  param should be of the type `const String &`

Reimplemented from synfig::Layer.

References EXPORT, EXPORT_NAME, and EXPORT_VERSION.

Color Julia::get_color | ( | synfig::Context | context,
|  | const synfig::Point & | pos |
| ) |  |  | const`[virtual]`

Gets the color of the Canvas at pos.

Parameters:

  | context | Context iterator referring to next Layer.
  | pos | Point which indicates where the Color should come from

See also:
  Handle::get_color()

Reimplemented from synfig::Layer.

References synfig::Color::clamped_negative(), synfig::Context::get_color(), LOG_OF_2, synfig::Color::rotate_uv(), and synfig::Color::set_uv().

Layer::Vocab Julia::get_param_vocab | ( | void |  | ) | const`[virtual]`

Gets the parameter vocabulary.

Reimplemented from synfig::Layer.

References _, and synfig::Layer::set_description().

The documentation for this class was generated from the following files:

- julia.h
- julia.cpp